commit b93ee3883ef8a11c440c5519812f3cb6c074a02f
Author: Jeremy Harris <jgh146exb@wizmail.org>
Date:   Sun Nov 2 19:58:29 2025 +0000

    Build: quieten sqlite-hints -Wunused-function build

diff --git a/src/src/hintsdb/hints_sqlite.h b/src/src/hintsdb/hints_sqlite.h
index 9e1e90322..9e4f65a51 100644
--- a/src/src/hintsdb/hints_sqlite.h
+++ b/src/src/hintsdb/hints_sqlite.h
@@ -354,17 +354,17 @@ exim_dbclose_multi__(dbp);
 
 /* Datum access */
 
-static uschar *
+static inline uschar *
 exim_datum_data_get(EXIM_DATUM * dp)
 { return US dp->data; }
-static void
+static inline void
 exim_datum_data_set(EXIM_DATUM * dp, void * s)
 { dp->data = s; }
  
-static unsigned
+static inline unsigned
 exim_datum_size_get(EXIM_DATUM * dp)
 { return dp->len; }
-static void
+static inline void
 exim_datum_size_set(EXIM_DATUM * dp, unsigned n)
 { dp->len = n; }
 

